=head1 NAME

Gnome2::IconTextItem - wrapper for GnomeIconTextItem

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gnome2::Canvas::Item
                 +----Gnome2::IconTextItem



=cut


=head1 METHODS

=head2 $iti-E<gt>B<configure> ($x, $y, $width, $fontname, $text, $is_editable, $is_static)

=over

=item * $x (integer) 

=item * $y (integer) 

=item * $width (integer) 

=item * $fontname (string) 

=item * $text (string) 

=item * $is_editable (boolean) 

=item * $is_static (boolean) 

=back

=head2 editable = $iti-E<gt>B<get_editable> 

=head2 $iti-E<gt>B<focus> ($focused)

=over

=item * $focused (boolean) 

=back

=head2 $iti-E<gt>B<select> ($sel)

=over

=item * $sel (boolean) 

=back

=head2 $iti-E<gt>B<setxy> ($x, $y)

=over

=item * $x (integer) 

=item * $y (integer) 

=back

=head2 $iti-E<gt>B<start_editing> 

=head2 $iti-E<gt>B<stop_editing> ($accept)

=over

=item * $accept (boolean) 

=back

=head2 string = $iti-E<gt>B<get_text> 



=cut


=head1 SIGNALS

=over

=item B<editing-started> (Gnome2::IconTextItem)

=item B<editing-stopped> (Gnome2::IconTextItem)

=item B<height-changed> (Gnome2::IconTextItem)

=item B<selection-started> (Gnome2::IconTextItem)

=item B<selection-stopped> (Gnome2::IconTextItem)

=item boolean = B<text-changed> (Gnome2::IconTextItem)

=item B<width-changed> (Gnome2::IconTextItem)

=back



=cut


=head1 SEE ALSO

L<Gnome2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gnome2::Canvas::Item>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2004 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gnome2> for a full notice.



=cut

